Loading...
Searching...
No Matches
TimeVal.h File Reference

Class TimeVal is a wrapper around UNIX timeval structure. More...

`#include <sys/time.h>`
`#include <unistd.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | ASSA::TimeVal

## Namespaces

namespace | ASSA

## Functions

TimeVal | ASSA::operator+ (const TimeVal &lhs_, const TimeVal &rhs_)
TimeVal | ASSA::operator- (const TimeVal &lhs_, const TimeVal &rhs_)
bool | ASSA::operator> (const TimeVal &lhs_, const TimeVal &rhs_)
bool | ASSA::operator!= (const TimeVal &lhs_, const TimeVal &rhs_)
bool | ASSA::operator<= (const TimeVal &lhs_, const TimeVal &rhs_)
bool | ASSA::operator>= (const TimeVal &lhs_, const TimeVal &rhs_)

## Detailed Description

Class TimeVal is a wrapper around UNIX timeval structure.

Definition in file TimeVal.h.